flex-commits mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From erikdebr...@apache.org
Subject [08/33] git commit: [flex-sdk] [refs/heads/develop] - added support for AIR/FP 15.0 and 16.0 and update defaults
Date Thu, 18 Dec 2014 09:06:42 GMT
added support for AIR/FP 15.0 and 16.0 and update defaults


Project: http://git-wip-us.apache.org/repos/asf/flex-sdk/repo
Commit: http://git-wip-us.apache.org/repos/asf/flex-sdk/commit/a4d1806a
Tree: http://git-wip-us.apache.org/repos/asf/flex-sdk/tree/a4d1806a
Diff: http://git-wip-us.apache.org/repos/asf/flex-sdk/diff/a4d1806a

Branch: refs/heads/develop
Commit: a4d1806a1dbb2f47473834c3fcf662d5b302a7ea
Parents: 33ee5f1
Author: Justin Mclean <jmclean@apache.org>
Authored: Sat Dec 13 15:15:45 2014 +1100
Committer: Erik de Bruin <erik@ixsoftware.nl>
Committed: Thu Dec 18 09:53:52 2014 +0100

----------------------------------------------------------------------
 ide/setFlashPlayerVersion.sh | 30 +++++++++++++++++++++++++-----
 1 file changed, 25 insertions(+), 5 deletions(-)
----------------------------------------------------------------------


http://git-wip-us.apache.org/repos/asf/flex-sdk/blob/a4d1806a/ide/setFlashPlayerVersion.sh
----------------------------------------------------------------------
diff --git a/ide/setFlashPlayerVersion.sh b/ide/setFlashPlayerVersion.sh
index b76f2ef..8bcf77e 100755
--- a/ide/setFlashPlayerVersion.sh
+++ b/ide/setFlashPlayerVersion.sh
@@ -99,18 +99,18 @@ determineVersion()
         then 
             FLASH_VERSION="11.1"
         else
-            FLASH_VERSION="14.0"
+            FLASH_VERSION="15.0"
         fi
     fi
     
     if [ ${latest} = "Y" ]
     then
-    	FLASH_VERSION="14.0"
+    	FLASH_VERSION="15.0"
     fi
     
     if [ ${useBeta} = "Y" ]
     then
-    	FLASH_VERSION="14.0"
+    	FLASH_VERSION="16.0"
     fi
     
     echo "Setting minimum Flash Player version to ${FLASH_VERSION}"
@@ -128,9 +128,9 @@ if [[ "${FLASH_VERSION}" != "10.2" && "${FLASH_VERSION}" != "10.3"
 && "${FLASH_
   && "${FLASH_VERSION}" != "11.4" && "${FLASH_VERSION}" != "11.5" &&
"${FLASH_VERSION}" != "11.6"
   && "${FLASH_VERSION}" != "11.7" && "${FLASH_VERSION}" != "11.8" &&
"${FLASH_VERSION}" != "11.9"
   && "${FLASH_VERSION}" != "12.0" && "${FLASH_VERSION}" != "13.0" &&
"${FLASH_VERSION}" != "14.0"
-  && "${FLASH_VERSION}" != "15.0" ]]
+  && "${FLASH_VERSION}" != "15.0" && "${FLASH_VERSION}" != "16.0" ]]
 then
-	echo Unknown version ${FLASH_VERSION} of Flash Player. Versions 10.2, 10.3, 11.0, 11.1,
11.2, 11.3, 11.4, 11.5, 11.6, 11.7, 11.8, 11.9, 12.0, 13.0, 14.0 and 15.0 are supported.
+	echo Unknown version ${FLASH_VERSION} of Flash Player. Versions 10.2, 10.3, 11.0, 11.1,
11.2, 11.3, 11.4, 11.5, 11.6, 11.7, 11.8, 11.9, 12.0, 13.0, 14.0, 15.0 and 16.0 are supported.
 	exit 1;
 fi
 
@@ -150,6 +150,16 @@ if [[ $useMobile = "Y" || $useDesktop = "Y" ]]
 then
 	echo Installing AIR
 	echo
+	
+	if [[ $FLASH_VERSION = "16.0" ]]
+    then
+        ./addAIRtoSDK.sh 16.0 "$IDE_SDK_DIR"
+    fi
+    
+	if [[ $FLASH_VERSION = "15.0" ]]
+    then
+        ./addAIRtoSDK.sh 15.0 "$IDE_SDK_DIR"
+    fi
 
 	if [[ $FLASH_VERSION = "14.0" ]]
     then
@@ -224,6 +234,16 @@ do
 	
 	updatePlayerVersion "${FLASH_VERSION}" "${configFile}"
 
+	if [ ${FLASH_VERSION} = "16.0" ]
+	then
+		updateSWFVersion 27 "${configFile}"
+	fi
+	
+	if [ ${FLASH_VERSION} = "15.0" ]
+	then
+		updateSWFVersion 26 "${configFile}"
+	fi
+	
 	if [ ${FLASH_VERSION} = "14.0" ]
 	then
 		updateSWFVersion 25 "${configFile}"


Mime
View raw message